//Copyright 2011 GraphicMania.net
//Java Script

var myImage = new Image();
myImage.src = "GraphicManiaLogo.png";

var canvas = null;
var context2D = null;

var speed = 1;
var x = speed;
var y = speed;

var rightEdge;
var bottomEdge;

var xDir = 1;
var yDir = 1;

var fps = 30;

window.onload = init;

function init()
{
	canvas = document.getElementById('MyCanvas');
	context2D = canvas.getContext('2d');
	
	rightEdge = canvas.width - myImage.width;
	bottomEdge = canvas.height - myImage.height;	
	
	setInterval(draw, 1000/fps);
}

function draw()
{
	context2D.clearRect(0, 0, canvas.width, canvas.height);
	context2D.drawImage(myImage,x,y);
	
	x += (speed * xDir);
	y += (speed * yDir);
	
	
	if (x >= rightEdge)
	{
		x = rightEdge;
		xDir = -1; // reverse x direction
	}
	else if (x <= 0)
	{
		x = 0;
		xDir = 1; // forward x direction	
	}

	if (y >= bottomEdge)
	{
		y = bottomEdge;
		yDir = -1;	// reverse y direction
	}
	else if (y <= 0)
	{
		y = 0;
		yDir = 1; // forward y direction
	}
}